%define upstream_name    AutoLoader
%define upstream_version 5.73

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Load subroutines only on demand
License:    GPLv2+
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/S/SM/SMUELLER/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
The AutoLoader module works with the AutoSplit module and the __END__ token to
defer the loading of some subroutines until they are used rather than loading
them all at once.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL -n INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std
mv %{buildroot}%{_mandir}/man3/AutoLoader.3pm \
   %{buildroot}%{_mandir}/man3/AutoLoader-%{version}.3pm

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/AutoLoader.pm
%{perl_vendorlib}/AutoSplit.pm

%changelog

* Wed Mar 27 2013 jquelin <jquelin> 5.730.0-4.mga3
+ Revision: 405455
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 5.730.0-3.mga3
+ Revision: 363260
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 5.730.0-2.mga3
+ Revision: 315521
- perl 5.16.2 rebuild

* Sun Oct 21 2012 jquelin <jquelin> 5.730.0-1.mga3
+ Revision: 308914
- update to 5.73

* Sat Nov 26 2011 kharec <kharec> 5.720.0-1.mga2
+ Revision: 172066
- update to 5.72

* Fri Feb 18 2011 jquelin <jquelin> 5.710.0-2.mga1
+ Revision: 53570
- rebuild

* Thu Jan 20 2011 jquelin <jquelin> 5.710.0-1.mga1
+ Revision: 25845
- mageia rebuild
- imported package perl-AutoLoader


* Sun Nov 21 2010 Guillaume Rousse <guillomovitch@mandriva.org> 5.710.0-1mdv2011.0
+ Revision: 599534
- update to new version 5.71

* Tue Sep 22 2009 Jérôme Quelin <jquelin@mandriva.org> 5.700.0-1mdv2011.0
+ Revision: 447132
- update to 5.70

* Tue Aug 25 2009 Jérôme Quelin <jquelin@mandriva.org> 5.690.0-2mdv2010.0
+ Revision: 420978
- rebuild

* Thu Aug 20 2009 Jérôme Quelin <jquelin@mandriva.org> 5.690.0-1mdv2010.0
+ Revision: 418637
- update to 5.69

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 5.680.0-1mdv2010.0
+ Revision: 402094
- rebuild using %%perl_convert_version

* Tue Jan 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 5.68-1mdv2009.1
+ Revision: 325286
- update to new version 5.68

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.67-1mdv2009.1
+ Revision: 292028
- update to new version 5.67

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 5.66-2mdv2009.0
+ Revision: 268370
- rebuild early 2009.0 package (before pixel changes)

* Sat May 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.66-1mdv2009.0
+ Revision: 208351
- update to new version 5.66

* Tue Jan 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 5.64-2mdv2008.1
+ Revision: 151978
- new license policy
- fix mixture of tabs and spaces
- rebuild for perl-5.10.0

* Fri Dec 28 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.64-1mdv2008.1
+ Revision: 138798
- new version

* Thu Dec 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.63-2mdv2008.1
+ Revision: 138320
- rename man page to avoid conflict with perl package
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.63-1mdv2008.1
+ Revision: 109592
- import perl-AutoLoader


* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.63-1mdv2008.1
- first mdv release 
